Austin Group Defect Tracker

Aardvark Mark IV


Viewing Issue Simple Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Type Date Submitted Last Update
0000981 [1003.1(2013)/Issue7+TC1] Shell and Utilities Editorial Clarification Requested 2015-08-31 19:21 2019-10-21 09:18
Reporter joerg View Status public  
Assigned To
Priority normal Resolution Accepted As Marked  
Status Applied  
Name Jörg Schilling
Organization
User Reference
Section Shell Command language
Page Number 2382
Line Number 75893-75894
Interp Status Approved
Final Accepted Text Note: 0003261
Summary 0000981: Remove oudated set -o nolog
Description The shell option "nolog" is an implementation detail of the ksh88 history mechanism and thus does not belong into a POSIX standard.

Even ksh93 made it a dummy option.
Desired Action Remove lines 75893 and 75894 on page 2382
Tags tc3-2008
Attached Files

- Relationships
related to 0001207Applied 1003.1(2016)/Issue7+TC2 "set -o option" should be mandatory, not UP 

-  Notes
(0002801)
jilles (reporter)
2015-08-31 21:43

Although I agree that the "nolog" option no longer means anything, we should be careful with removing shell options entirely, since attempting to set an unknown option aborts execution of a profile or script unless special measures are taken.
(0002806)
joerg (reporter)
2015-09-02 16:02

There is no history for commands from within scripts and the worst result I could imagine is a "nolog: bad option(s)" mesage from $ENV.
(0003261)
geoffclare (manager)
2016-06-09 16:30
edited on: 2016-06-10 06:48

Interpretation response
------------------------
The standard states the requirements for set -o nolog, and conforming implementations must conform to this. However, concerns have been raised about this which are being referred to the sponsor.

Rationale:
-------------
The standard developers could not identify any shell in which set -o nolog has an effect on shell history.

Notes to the Editor (not part of this interpretation):
-------------------------------------------------------

After page 2382, Lines 75893-75894 in the description of the set utility:
nolog
Prevent the entry of function definitions into the command history; see Command History List.
add:
This option may have no effect; it is kept for compatibility with previous versions of the standard.
and mark page 2382, lines 75893-75894 (including the nolog heading and the newly added text) OB.

On page 2386, line 76051, change FUTURE DIRECTIONS from:
None.
to:
A future version of this standard may remove the -o nolog option.
On page 3204 line 107359 section sh, delete:
For example, function definition commands are recorded in the history file, unless the set −o nolog option is set. If the system administrator includes function definitions in some system start-up file called before the ENV file, the history file is initialized before the user gets a chance to influence its characteristics.


(0003266)
ajosey (manager)
2016-06-17 07:11

Interpretation Proposed: 17 June 2016
(0003299)
ajosey (manager)
2016-07-19 11:36

Interpretation approved: 19 July 2016

- Issue History
Date Modified Username Field Change
2015-08-31 19:21 joerg New Issue
2015-08-31 19:21 joerg Name => Jörg Schilling
2015-08-31 19:21 joerg Section => Shell Command language
2015-08-31 19:21 joerg Page Number => 2382
2015-08-31 19:21 joerg Line Number => 75893-75894
2015-08-31 21:43 jilles Note Added: 0002801
2015-09-02 16:02 joerg Note Added: 0002806
2016-06-09 16:30 geoffclare Note Added: 0003261
2016-06-09 16:31 geoffclare Interp Status => Pending
2016-06-09 16:31 geoffclare Final Accepted Text => Note: 0003261
2016-06-09 16:31 geoffclare Status New => Interpretation Required
2016-06-09 16:31 geoffclare Resolution Open => Accepted As Marked
2016-06-09 16:32 geoffclare Tag Attached: tc3-2008
2016-06-10 06:48 geoffclare Note Edited: 0003261
2016-06-17 07:11 ajosey Interp Status Pending => Proposed
2016-06-17 07:11 ajosey Note Added: 0003266
2016-07-19 11:36 ajosey Interp Status Proposed => Approved
2016-07-19 11:36 ajosey Note Added: 0003299
2018-09-06 09:06 geoffclare Relationship added related to 0001207
2019-10-21 09:18 geoffclare Status Interpretation Required => Applied


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker